import { newSpecPage } from "@stencil/core/testing";
import { BpSdkQuoteRequestProduct } from "./bp-sdk-quote-request-product";
const setupPage = async () => {
    return await newSpecPage({
        html: '<bp-sdk-quote-request-product></bp-sdk-quote-request-product>',
        components: [BpSdkQuoteRequestProduct],
    });
};
const setupInstance = (page) => {
    const instance = page.rootInstance;
    return instance;
};
describe('bp-sdk-quote-request-product', () => {
    it('renders', async () => {
        const page = await setupPage();
        await page.waitForChanges();
        const element = page.root.querySelector('div');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-quote-request-product')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await setupPage();
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-quote-request-product')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
